@charset "utf-8";

body{font-size:100%;background:url(../images/bg.jpg) repeat-x center top #F5F5F5;line-height:1.5;}
h1{font-size:1rem;margin-bottom:0;}
a{color:#666;text-decoration:none;cursor:pointer;}
a:hover{color:#C51D1D;}

/*通用*/
.mb-br-1{border-radius:0.25rem;}
.mb-br-2{border-radius:0.5rem;}
.mb-br-3{border-radius:0.75rem;}
.mb-br-4{border-radius:1rem;}
.mb-br-5{border-radius:1.25rem;}

.mb-w-p90{width:90%;}
.mb-h-50{height:50px;}

.text-12px{font-size:12px;}
.text-14px{font-size:14px;}
.text-16px{font-size:16px;}
.text-18px{font-size:18px;}

.color-999{color:#999}
.color-666{color:#666}
.color-mb-1{color:#C51D1D}
.color-mb-2{color:#df8888}

.m-w-90{max-width:90%}

.bg-mb{background-color:#F2D4D4!important;}
.reddot::before{content:'';position:absolute;top:5px;right:5px;width:10px;height:10px;border-radius:50%;background-color:#e74c3c;border:2px solid #fff;box-shadow:0 0 8px rgba(231,76,60,.7);z-index:10}

.z-index888{z-index:888;}
/*通用-结束*/

.logo img{height:100px;}
@media (max-width:768px) {
	.logo img{height:60px;}
}
.btn-white{border-radius:1.5rem 0 0 1.5rem;background:#fff;}
.form-control-mb{border:0;}
.btn-search{background:#fff;color:#C51D1D;border-radius:0 1.5rem 1.5rem 0;}
.needs-validation-mb{width:50%;}

.breadcrumb{line-height:3rem;color:#666;}
.breadcrumb a{color:#666;text-decoration:none;}
.breadcrumb span.pageno{padding-left:0.5rem;}
/*顶部导航-结束*/

/*搜索-首页*/
.search-border-2{border:1px solid #df8888;border-radius:1.5rem 0 0 1.5rem;}
.search-border-3{border-top:1px solid #df8888;border-bottom:1px solid #df8888;border-right:1px solid #df8888;}
.search-height-index{height:50px}
.form-control:focus{color:#212529;background-color:#fff;border-color:#df8888;border-right:none;outline:0;box-shadow:0 0 0 .25rem rgba(0,0,0,0)}

/*
.form-control:focus{
    border:none;
	border-color:#df8888;
    outline:none;
}
/*首页*/

.mb-bt h1, .mb-bt h3{font-size:1.2rem;font-weight:700;color:#666;}



/* 左侧导航 */
.widget_categories{position:relative;}
.widget_categories h2{font-size:1rem;font-weight:700;color:#666;border-bottom:1px #ddd solid;}
.widget_categories .list-group-item {position:relative;padding:0.4rem 0rem;padding-left:0.8rem;color:#666;border:1px #fff solid;}
.widget_categories .list-group-item .badge{margin-top:2px;background-color:#bbb;float:right;}
.widget_categories .list-on{color:#C51D1D;background-color:#F8E6E6;border-radius:0.5rem;}
.widget_categories .list-on .badge{background-color:#f4a9a9!important;}
.widget_categories .list-group-item:hover{color:#C51D1D;background-color:#F8E6E6;border-radius:0.5rem;}
.widget_categories .list-group-item[data-bs-toggle=collapse]::before {position:absolute;right:10px;top:4px;content:"-";font-size:20px;}
.widget_categories .list-group-item[data-bs-toggle=collapse].collapsed::before {content:"+";}
.widget_categories .list-group-level1 .list-group-item {padding:0.4rem;padding-left:0.8rem;font-size:0.8rem;}

.list-group-level1{max-height:305px;overflow:auto;position:relative;margin:2px 2px}
.list-group-level1::-webkit-scrollbar{background-color:#F8E6E6;border-radius:20px;width:4px}
.list-group-level1::-webkit-scrollbar-thumb{background-color:#f5d1d1;border-radius:20px;height:24px;width:4px}
.list-close{z-index:999;position:relative;margin-top:5px;margin-right:10px;color:#C51D1D;}


/* 左侧导航结束 */

/*列表*/
.btn-h1{ display:flex;align-items:center;justify-content:space-between;width:100%;color:#666;}
.btn-h1[aria-expanded="true"] .icon-rotate {transform:rotate(180deg);}

@media (max-width:768px) {
	.course {display:none;}
}

.course-box{background:#fff;border-radius:8px 8px 8px 8px;box-shadow:0px 12px 46px -20px #aaa;overflow:hidden !important;}
.course-box:hover{box-shadow:0px 12px 46px -20px #333;transition:all .3s ease;}
.course-box a .course-image {overflow:hidden !important;border-radius:0;}
.course-box a .course-image img{box-sizing:border-box;transition:0.3s;position:relative;z-index:1;filter:brightness(100%);transition:transform 0.5s ease;}
.course-box:hover .course-image img{box-sizing:border-box;transform:scale(1.12) rotate(4deg);filter:brightness(100%);}

.course-box a .ci2 img{min-height:120px;}

.course-attr{flex-wrap:nowrap;white-space:nowrap;}
.course-attr .badge{background-color:#F0F0F0;}
.course-attr .badge a{color:#999;}

h3.underline{position:relative;padding-bottom:6px;}
h3.underline:before{content:'';position:absolute;bottom:0;left:0;right:0;width:100%;background:#CCC;height:1px;}


.two-lines {
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2; /* 限制文本为2行 */
  overflow: hidden; /* 隐藏超出部分 */
}
.three-lines {
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 3; /* 限制文本为2行 */
  overflow: hidden; /* 隐藏超出部分 */
}
.four-lines {
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 4; /* 限制文本为2行 */
  overflow: hidden; /* 隐藏超出部分 */
}

.course-box h5{font-size:1.13rem;color:#333;text-align:left;line-height:1.6rem;}
@media (min-width:768px) and (max-width:1200px) {
	.course-box h5{font-size:1.05rem;}
}
.course-box:hover h5{color:#1E73BE;}

.course-box h6{font-size:0.85rem;color:#333;text-align:left;line-height:1rem;}
@media (min-width:768px) and (max-width:1200px) {
	.course-box h6{font-size:1.05rem;}
}
.course-box:hover h6{color:#1E73BE;}


.course-box .course-intro{padding:0 15px 5px 15px;overflow:hidden !important;}
.course-box .course-btn{opacity:0;transition:0.2s;position:absolute;top:40%;width:100%;text-align:center;}
.course-box .course-btn a{display:inline-block;}
.course-box:hover .course-btn{opacity:1;}
.course-btn:hover + a .course-image img{transform:scale(1.1);filter:brightness(40%);}
.course-btn:hover + a h5{color:#C51D1D;}

.divider-1{background-color:#b8c3c5;}
.button-3{background-color:#df8888 !important;color:#fff !important;border:0;font-weight:700;flex-wrap:nowrap;white-space:nowrap;}
.button-3:hover{background-color:#fff !important;color:#C51D1D !important;}

.course-box .tag{padding:1px 10px 3px 10px;background-color:#F0F0F0;}
.course-box .tag a{color:#1E73BE;font-size:12px;}
.course-box .time{font-size:12px;color:#999;}

.tagcloud{margin:0;padding:0;overflow:hidden !important;}
.tagcloud a{display:block;float:left;margin:0 7px 7px 0;padding:4px 8px;background:#F3F3F3;color:#333;font-size:14px;border-radius:3px;white-space:pre-wrap}
.tagcloud a:hover{color:#1E73BE;}

/*字体列表*/
.fonts-box{position:relative;background:#fff;border-radius:10px 10px 10px 10px;box-shadow:0px 12px 46px -20px #aaa;overflow:hidden}
.fonts-box:hover{filter:brightness(95%);}
.fonts-box a .fonts-image {overflow:hidden;border-radius:10px 10px 0px 0px;}
.fonts-box a .fonts-image img{box-sizing:border-box;transition:0.3s;position:relative;z-index:1;}
.fonts-box h5{display:block!important;font-size:1.1rem;color:#6c757d;overflow:hidden;font-weight:600;}
.fonts-box:hover h5{color:#C51D1D;}
.fonts-box .corner-ribbon {position:absolute;top:0;right:0;width:0;height:0;border-style:solid;border-width:0 45px 45px 0;border-color:transparent #df8888 transparent transparent;}
.fonts-box .corner-ribbon .ribbon-text {position:absolute;top:6px;right:-56px;color:white;transform:rotate(45deg);white-space:nowrap;font-size:14px;text-align:center;width:50px;}


/*模态框-预览图*/
.modal img{max-width:100%;height:auto;margin:0 auto;display:block;box-shadow:0 0 10px #888888;border-radius:0.75rem;}
.md-header{display:flex;flex-shrink:0;align-items:center;justify-content:center;padding:1rem;}
.mb-btn-more{border:1px solid #df8888 !important;border-radius:30px !important;color:#C51D1D;margin:auto 0.5rem;}
.mb-btn-more:hover{background-color:#df8888;color:#fff;}
.nav-pills{margin:0 10px;}
.nav-pills .nav-link.active, .nav-pills .show > .nav-link{background-color:#df8888;color:#fff;font-weight:700;}
.nav-pills .nav-link{color:#C51D1D;}
.nav-pills .mb-btn-more:hover, .nav-pills .mb-btn-more:focus{color:#fff;font-weight:700;}
.nav-tabs .nav-link.active{color:#666;font-weight:600;}
.nav-tabs  .nav-link{color:#666;}
.btn-close-mb{position:absolute;right:10px;}
.modal-content{border:0;border-radius:.75rem;overflow:hidden;}
.modal-backdrop.show{opacity:.7;}

/*模态框-右侧导航*/
.offcanvas-end{width:50%;}
.offcanvas-body{margin-bottom:10px;padding:10px;}
.offcanvas-header{margin-bottom:10px;background-color:#df8888;border:0;color:#fff;}

.btn-mb{color:#C51D1D;border-color:#EFB7B7;margin-top:5px;margin-bottom:5px;background-color:#F8E6E6;}
.btn-mb:hover{background-color:#df8888;border-color:#f5d1d1;color:#fff;}
.btn-mb-h{background-color:#df8888;border-color:#f5d1d1;color:#fff;margin-top:5px;margin-bottom:5px;}
.btn-mb-h:hover{color:#fff;font-weight:700;}
/*.d-block{color:#C51D1D;text-align:inherit;font-size:1.2rem;line-height:2.5rem;}
.d-block:hover{color:#C51D1D;}*/

.mb-widgets{}
.button-1{width:90%;border-color:#df8888;color:#df8888;border-radius:3rem;letter-spacing:5px;font-size:1.5rem;}
.button-1:hover{background-color:#df8888;color:#fff;}

.button-2{width:90%;background-color:#999;color:#fff;border-radius:3rem;letter-spacing:5px;font-size:1.5rem;}
.button-2:hover{background-color:#1E73BE;color:#fff;}
.button-2 span{position:absolute;font-size:14px;letter-spacing:0;}
@media (max-width:768px) {
	.w-25{width:50%!important}
	.button-2{width:100%;font-size:1.2rem;}
}

/*内容部分*/
.mb-intro-title{width:100%;}
.mb-intro-title h1{line-height:2rem;color:#000;}

.mb-intro-tag{flex-wrap:nowrap;white-space:nowrap;}
.mb-intro-tag .tag{padding:2px 10px 3px 10px;background-color:#F0F0F0;}
.mb-intro-tag .tag a{color:#1E73BE;font-size:14px;}
.mb-intro-tag .time{margin-left:2rem;font-size:12px;color:#666;}

.mb-intro-info{color:#000;line-height:2rem;}

.mb-intro-info b{font-weight:bold;}
.mb-intro-info strong{font-weight:bold;}

.mb-content img{max-width:80%;border-radius:1rem;}
@media (max-width:768px) {
	.mb-content img{max-width:100%;}
}
.mb-content p:first-child{text-align:center;}
.mb-content a{color:#1E73BE;}
/*下载*/
.mb-intro-down{margin-top:2rem;border:1px #EBEBEB solid;text-align:left;font-size:14px;color:#1E73BE;overflow-wrap:break-word;}
.mb-intro-down a{display:block;padding:5px 10px;border-bottom:1px #EBEBEB solid;color:#1E73BE;}
.mb-intro-down a:last-child{border-bottom:none;}
.mb-intro-down a:nth-child(odd){background-color:#F7F9FA;}
.mb-intro-down a:hover{color:#C51D1D;}
@media (max-width:768px) {
	.mb-intro-down{color:#000;line-height:1.2rem;}
	.mb-intro-down a{display:block;padding:10px 10px;}
}
.mb-download{margin-top:2rem;font-size:16px;text-align:left;}
.mb-download p{display:block;text-align:left;}
.mb-download p > code{color:#d63200;background-color:#f8f8f8;}
.mb-download > p{word-wrap:break-word;word-break:normal;}
.mb-download p > a:hover{text-decoration:underline;}
.mb-intro-down span{margin-right:5px;}
.mb-intro-down b{margin-left:2px;}

.mb-rubric{text-align:center;color:#000;background-color:#F6FFee;border:1px dashed #97BF2B;width:100%;margin:2rem auto 1rem auto;overflow:hidden;}

mark {background: #fff9c0;text-decoration:none;}
.red-color{color:#CF2E2E;}
.blue-color{color:#3E94E1;}
.purple-color{color:#9B51E0;}
.blue{color:#0000FF;}
.red{color:#FF0000;}

.news-exp {display:block;margin:0 auto;width:100%;border-top:1px dashed #ccc;padding:10px 0 10px 10px;color:#666;overflow:hidden;}
.news-exp a {display:block;width:100%;line-height:2rem;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;color:#1E73BE;}
.news-exp a:hover{color:#CF2E2E;}
.news-exp b{color:#666;}

/*内容页右侧*/
.mb-widgets-arrt{border-bottom:1px #ddd solid;}
.mb-widgets-arrtList{display:flex;color:#999;}
.mb-widgets-arrtList span{width:7rem;color:#666;}
.mb-widgets-next{color:#666;}
.mb-widgets-next a{color:#999;}
.mb-widgets-next a:hover{color:#C51D1D;}
.mb-widgets-policy{color:#999;line-height:24px;}
.mb-widgets-policy span{font-weight:700;}
.mb-widgets-policy a{color:#C51D1D;}

.mb-widgets-category{line-height:2rem;}
.mb-widgets-category span{color:#666;display:inline-block;margin:5px 0;}
.mb-widgets-category a{color:#666;border:1px solid #E8E8E8;font-size:14px;display:inline-block;border-radius:50rem;padding:0 10px;margin:5px;margin-left:0;}
.mb-widgets-category a:hover{color:#C51D1D;border:1px solid #C51D1D;}

/*底部*/
.copyright{line-height:30px;background:#EDEDED;padding-top:15px;padding-bottom:15px;color:#666;margin-top:3rem;}
.copyright a{color:#666;}
.copyright a:hover{text-decoration:underline}
/*底部结束*/

/*read more*/
.readall_box {position:relative;z-index:999;padding:0 0 25px;margin-top:-150px;text-align:center;}
.readall_box .read_more_mask {height:150px;background:-moz-linear-gradient(bottom,rgba(255,255,255,1),rgba(255,255,255,0));background:-webkit-gradient(linear,0 top,0 bottom,from(rgba(255,255,255,0)),to(#fff));background:-o-linear-gradient(bottom,rgba(255,255,255,1),rgba(255,255,255,0))}
.read_more_btn{cursor:pointer;font-size:16px;color:#C51D1D;background:#fff;border-radius:8px;border:1px solid #df8888;line-height:30px;padding:5px 10px;}
.read_more_btn:hover{background:#df8888;color:#fff;}

@media (max-width:350px) {
.course-intro{display:none;}
}
@media (max-width:576px) {
.nav-link{padding:0.5rem;}
}
@media (max-width:768px) {
	.none-768,.btn-white{display:none !important;}
	.needs-validation-mb{width:80%;}
	.form-control-mb{border-radius:1.2rem 0 0 1.2rem !important;}
	.offcanvas-end{width:98%;}
}
@media (max-width:992px) {
	.none-960{display:none !important;}
}

@media (min-width:1400px) {
	.w-1200{max-width:1200px;}
}


/* PAGES -------------------------------------- */
.page_list{display:block;margin:50px auto 0 auto;width:100%;height:45px;text-align:center;letter-spacing:0;font-family:"Arial Black";font-size:14px;font-weight:600;overflow:hidden !important}.page_list a{display:inline-block;padding:8px 15px;margin:0 5px 0 0;line-height:23px;color:#666;border:1px solid #FFF;border-radius:5px;background:#ECF3FB;text-align:center;}.page_list a:hover{color:#FFF;border:1px solid #999;background:#999;}.page_list a.on{color:#FFF;border:1px solid #0656ad;background:#0656ad;}@media (max-width: 768px) {	.page_list{margin:0 0 30px 0;height:35px;}	.page_list a{padding:4px 10px;}}
